This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 223903 - AttributeError: Partition instance has no attribute 'anaconda'
AttributeError: Partition instance has no attribute 'anaconda'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-22 18:15 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 10:26:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-01-22 18:15:26 EST
From 20070122 rawhide:

self.commands[cmd].parse(cmdArgs)
File "/usr/lib/anaconda/kickstart.py", line 494, in parse
addPartRequest(self.anaconda, request)
AttributeError: Partition instance has no attribute 'anaconda'

kickstart header:

install
text
nfs --server=saga --dir=/export/data1/fedora/core/development/i386/os
lang en_US.UTF-8
keyboard us
network --bootproto=dhcp
rootpw --iscrypted CwU/lYtazWt7E
firewall --disabled
selinux --enforcing
authconfig --enableshadow --enablenis --nisdomain=yp.colorado-research.com
timezone America/Denver
xconfig --startxonboot --defaultdesktop=KDE --resolution=1600x1200 --depth=24
bootloader --location=mbr --driveorder=sda
clearpart --linux --drives=sda
part /boot --fstype ext3 --size=50
part pv.1 --size 4800 --grow
volgroup rootvg pv.1
logvol / --vgname=rootvg --size=512 --name=root
logvol swap --fstype=swap --vgname=rootvg --recommended --name=swap
logvol /usr --vgname=rootvg --size=4500 --name=usr
logvol /var --vgname=rootvg --size=512 --name=var
logvol /export/data1 --vgname=rootvg --size=1 --name=data1 --grow
reboot


Also seen of VT2:

-/bin/sh: error while loading shared libraries: libncurses.so.5: cannot open
shared object file: No such file or directory
Comment 1 Chris Lumens 2007-01-23 10:26:31 EST
Thanks for the report.  This (and a couple other instances of the same thing)
will be fixed in the next build.

Note You need to log in before you can comment on or make changes to this bug.